Subject: RE: iFCP as an IP Storage Work Item

From: Charles Monia <[email-masked]>
Date: Sat, 6 Jan 2001 19:17:40 -0800

Hi Y P:

> I have been trying to avoid taking side on this iFCP vs. FCIP 
> debate on the
> technical merits.  May be I can take my technical hat off and 
> debate on the
> business merits.

According to whose criteria? Yours I guess. Others see the world
differently.

> No, the world does not need two standards

I'm glad someone has the inside track on what the world needs. I'm perfectly
content to let the world make that decision.

>................................and the IPS WG 
> should force the
> issue.  While companies will always do their own, the mission 
> of a standard
> committee is to find one and only one standard to make everyone's life
> easier.  

Since when? I suggest you visit the T10 web site and look around (see
http://www.t10.org/scsi-3.htm).  At last count, there were six, count 'em,
six SCSI encapsulations (not including iSCSI), all alive and well -- not to
mention ATA.  Incidentally, by a lot of measures, you'd probably be
justified in concluding that ATA's what the world really needs.

Other stuff below.

> -----Original Message-----
> From: Y P Cheng [mailto:[email-masked]]
> Sent: Saturday, January 06, 2001 2:26 PM
> To: 'Ips@Ece. Cmu. Edu'
> Subject: RE: iFCP as an IP Storage Work Item
> 
> 
> > While it is easy to say that as a vendor it should be 
> possible for them to
> > support iSCSI, iFCP and FCIP protocols, the cost of 
> developing a solution
> > that addresses all three (which includes not just product 
> development but
> > testing, certifying and validating interoperable solutions) 
> is something
> > that we as a vendor would not like to be drawn into. If you think
> > this is a business reason, and should be ignored, we
> > disagree with that opinion.
> 
> I have been trying to avoid taking side on this iFCP vs. FCIP 
> debate on the
> technical merits.  May be I can take my technical hat off and 
> debate on the
> business merits.
> 
> No, the world does not need two standards and the IPS WG 
> should force the
> issue.  While companies will always do their own, the mission 
> of a standard
> committee is to find one and only one standard to make everyone's life
> easier.  Failing to do so does not serve this community.
> 
> If FCIP is good enough, why do I need iFCP?  

Good enough for whom?  Without rehashing this issue yet again, there are
valid constituencies for both solutions.  

>.......Do I really need the
> scalability of 4 billion fibre channel nodes visible to me?  

The iSCSI folks and others planning to build directly attached IP storage
devices are apt to find that argument strange. 

> For Internet
> domain names I may need IPv6, but, for storage devices?  
> 24-bits of D_ID
> with 16 million nodes are a lot of addresses.

That address space disappears fast if you're trying to intergrate a lot of
small FC sans. Each one consumes a 65 K block of FC addresses, most of which
are unused.

>..................................I do 
> understand perfectly if
> one wishes to dominate the FC switch market.  As a consumer, 
> this is not my
> concern unless one can provide me alternatives with a much 
> lower costs.
> 
> As a customer, all I care is to have the ability to access 
> storage devices
> on IP network at lower cost.  I don't care the standard as 
> long as there is
> one that gives me choices of low-cost vendors.  

You also could care less about how many standards there are.

>...........Many people 
> even believe
> among the networks of Ethernet, Fibre Channel, and 
> InfiniBand, there will be
> only one winner.

And many people don't.  I haven't seen the parallel SCSI and FC folks atart
folding up their tents yet.

>.......................Therefore, among iFCP, FCIP, and iSCSI, 
> please give me
> just one.  
> Having said that, I do believe we need fibre channel before
> Ethernet folks taking over the world while InfiniBand lurks 
> on the horizon.
> ISA was wonderful until EISA comes along.  VESA was great 
> until PCI appears.
> Now PCI-X and InfiniBand. We all suffer through technology 
> transitions.
> Therefore, the last thing we need is to have another standard 
> even before we
> start.  Don't repeat VHS and Beta.  I still have a lots of 
> tapes in Beta
> format.
> 
>

And I have a lot of DVDs, VHS, 8MM, etc, etc, etc.

Charles

---

From: "Douglas Otis" <[email-masked]>
Date: Mon, 8 Jan 2001 10:41:08 -0800

Charles,

With respect to merging FCIP and iFCP encapsulation, there are many
technical merits for doing so without looking at the marketing issues.  You
have noted in your view of FCIP and iFCP as being in two separate markets
and thus not likely to cooperate at the encapsulation level. It would seem
you use marketing concerns in your positions.  I would hope however that
this group would have the ability to bring these two segments of the SAN
market a bit closer together.  I also see merit in the iFCP effort in that
iSCSI is divergent with respect to existing markets.  There will be many
areas where FCIP and iFCP will find common solutions with many common
problems.

In the spirit of furthering common goals, iFCP and FCIP should use a common
encapsulation where possible.  I would not wish to bet if iFCP or iSCSI
becomes a larger player in the marketplace.  Looking at complexity, I would
not place too many chips on iSCSI.  I do not think this group needs to
decide such winners and losers.  If there were two iSCSI solutions or two
iFCP solutions then there would a reason to merge these proposals.  If there
are two FC encapsulations proposals, this two should be merged.

Doug

> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Charles Monia
> Sent: Saturday, January 06, 2001 7:18 PM
> To: Y P Cheng
> Cc: Ips (E-mail)